import Config from '../../config';
import PathManager from './pathManager';
import TitleManager from './titleManager';
import { State } from '../state';
import PathInfo from '../../pathInfo';
import { Result } from './common';
import ContentGenerator from '../../contentGenerator';
import PathInfoManager from './pathInfoManager';
import FsWalkManager from './fsWalkManager';
export default class FileListManager {
    config: Config;
    state: State;
    pathManager: PathManager;
    titleManager: TitleManager;
    pathInfoManager: PathInfoManager;
    fsWalkManager: FsWalkManager;
    contentGenerator: ContentGenerator;
    constructor(config: Config, state: State, pathManager: PathManager, titleManager: TitleManager, pathInfoManager: PathInfoManager, fsWalkManager: FsWalkManager, contentGenerator: ContentGenerator);
    updateFileList(relDir: string, recursive: boolean): Promise<Result<PathInfo[]>>;
}
