import Config from '../../config';
import PathManager from './pathManager';
import TitleManager from './titleManager';
import { State } from '../state';
import PathInfo from '../../pathInfo';
import { Result } from './common';
import ContentGenerator from '../../contentGenerator';
import PathInfoManager from './pathInfoManager';
export default class PathBarManager {
    config: Config;
    state: State;
    pathManager: PathManager;
    titleManager: TitleManager;
    pathInfoManager: PathInfoManager;
    contentGenerator: ContentGenerator;
    constructor(config: Config, state: State, pathManager: PathManager, titleManager: TitleManager, pathInfoManager: PathInfoManager, contentGenerator: ContentGenerator);
    updatePathBar(relDir: string): Promise<Result<PathInfo[]>>;
}
