import { State } from '../state';
import PathManager from './pathManager';
import { Result } from './common';
import Config from '../../config';
export default class TitleManager {
    config: Config;
    state: State;
    pathManager: PathManager;
    constructor(config: Config, state: State, pathManager: PathManager);
    updateFileTitleAsync(relFile: string): Promise<Result<string>>;
    updateDirTitleAsync(relDir: string, recursive: boolean): Promise<Result<string>>;
    private writeFileTitleFile(relFile, title);
    private writeDirTitleFile(relDir, title);
}
