import PathManager from './pathManager';
import TitleManager from './titleManager';
import { State } from '../state';
import PathInfo from '../../pathInfo';
import Config from '../../config';
import { Result } from './common';
export default class PathInfoManager {
    config: Config;
    state: State;
    pathManager: PathManager;
    titleManager: TitleManager;
    constructor(config: Config, state: State, pathManager: PathManager, titleManager: TitleManager);
    infoFromFileAsync(relFile: string): Promise<Result<PathInfo>>;
    infoFromDirAsync(relDir: string): Promise<Result<PathInfo>>;
    infoFromFilesAsync(relFiles: string[]): Promise<PathInfo[]>;
    infoFromDirsAsync(relDirs: string[]): Promise<PathInfo[]>;
}
