import PathInfo from '../pathInfo';
export declare class SeoTitleData {
    calculatedTitle: string;
    inheritedTitle: string;
    constructor(calculatedTitle: string, inheritedTitle: string);
}
export declare class State {
    dirSeoTitle: {
        [key: string]: SeoTitleData;
    };
    fileSeoTitle: {
        [key: string]: SeoTitleData;
    };
    dirTitle: {
        [key: string]: string;
    };
    fileTitle: {
        [key: string]: string;
    };
    dirPathInfo: {
        [key: string]: PathInfo;
    };
    filePathInfo: {
        [key: string]: PathInfo;
    };
    dirPathBar: {
        [key: string]: PathInfo[];
    };
    dirFileList: {
        [key: string]: PathInfo[];
    };
}
